using System;
namespace petlja1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int N, L;
            N = int.Parse(Console.ReadLine());
            int[] H = new int[N];
            L = int.Parse(Console.ReadLine());
            for(int i=0;i<N;i++)
            {
                H[i]=int.Parse(Console.ReadLine());
            }
            for(int i=0;i<N;i++)
            {
                if (H[i] < L)
                {
                    Console.WriteLine(i + 1);
                    break;
                }
                else if (i == N - 1)
                {
                    Console.WriteLine("-1");
                }
            }
          Console.ReadKey();

        }
    }
}